Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface ServiceMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, TPMBaseMBean, weblogic.management.WebLogicMBean

public interface ServiceMBean
extends TPMBaseMBean

This class represents a service for a business process that is either offered by a local trading partner, or a business process that is being called via a control on a remote trading partner. In the case of a service offered by a local trading partner, this element directly corresponds to a JWS or JPD deployed on the local domain. In the case of a service called by a local trading partner, the service corresponds to a control in the local domain that is used to invoke the remote service.

A service can define multiple service profiles. A service profile defines the interactions that two B2B trading partners agree to carry out, along with a specification for the business protocol implementation details such as messaging characteristics, security constraints, transport mechanisms, and workflow processes. Linking to the appropriate bindings for each trading partner specifies these characteristics.

See Also:
  `ServiceProfileMBean`

Field Summary
`static String` | `PROCESS`
`static String` | `SERVICECONTROL`
`static String` | `WEBSERVICE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `addReferenceToRosettaNetServiceDefault(RosettaNetServiceDefaultMBean mbean)` Internal Use Only - Adds reference to RosettaNet Service Binding
`void` | `addReferenceToServiceProfile(ServiceProfileMBean mbean)` Internal Use Only - Adds a new service profile to this service.
`void` | `addRosettaNetServiceDefaults(String serviceContentSchema, boolean useDtdValidation, boolean validateServiceContent, boolean validateServiceHeader)` Add rosettanet service defaults for a rosettanet service only .
`void` | `addServiceProfile(String remoteTP, String remoteBinding, String localTP, String localBinding, String status, String messageTrackingLevel)` Registers a new service profile, for this service
`void` | `addServiceProfile(String remoteTP, String remoteBinding, String localTP, String localBinding, String status, String messageTrackingLevel, String serviceProfileId)` Registers a new service profile, for this service
`String` | `getBusinessProtocol()` Specifies the business protocol used for this service.
`String` | `getDescription()` Retrieves the short textual description of this entity.
`String` | `getNotes()` Retrieves the additional description to of this entity.
`String` | `getServiceName()` Returns the name of this Service.
`String` | `getServiceType()` Specifies what kind of service this represents.
`void` | `registerAllServiceProfiles()` Internal Use Only - Registers all service profiles for this service.
`void` | `registerServiceProfile(ServiceProfileMBean sp)` Internal Use Only - Register the profiles.
`void` | `removeAllServiceProfiles()` Removes all service profiles for the service
`void` | `removeReferenceForServiceProfile(ServiceProfileMBean mbean)` Internal Use Only - Removes the service profile
`void` | `removeRosettaNetServiceDefaults()` Remove RosettaNet Service Defaults
`void` | `removeServiceProfile(String localTP, String remoteTP)` Removes the service profile for this service.
`ArrayList` | `retrieveAllServiceProfiles()` Returns an collection of all the service profiles defined in this service.
`RosettaNetServiceDefaultMBean` | `retrieveRosettaNetServiceDefaults()` Retrieves the RosettaNet Service Defaults.
`ServiceProfileMBean` | `retrieveServiceProfile(String remoteTP, String localTP)` Retrieves a unique service profile for this service.
`ArrayList` | `retrieveServiceProfilesWithTradingPartner(String tpName, String withTp)` Internal Use Only - Gets the MBeans by trading partner name.
`ArrayList` | `retrieveSPForTPBinding(String tpName, String bindingName)` Internal Use Only - Gets the MBeans by trading partner name.
`ArrayList` | `retrieveSPForTradingPartner(String tpName)` Internal Use Only - Gets the MBeans by trading partner name.
`ArrayList` | `retrieveSPUsingBinding(String bindingName)` Internal Use Only - Gets the MBean of a service profile by binding name.
`TradingPartnerMgmtMBean` | `retrieveTradingPartnerMgmt()` Retrieves the TPM Interface.
`void` | `setBusinessProtocol(String newValue)` Registers the business protocol to be used by this service.
`void` | `setDescription(String newValue)` Specifies the description for this service
`void` | `setNotes(String newValue)` Registers the additional textual documentation
`void` | `setServiceName(String newValue)` Registers the name of this Service.
`void` | `setServiceType(String newValue)` Registers the type of service to invoke, whether offered by local trading partner, in that case it would be a service control or offered by a remote trading partner, in that case could be a workflow or a web service.
`void` | `unregisterAllServiceProfiles()` Internal Use Only - Unregister all service profiles for this service.
`void` | `unregisterServiceProfile(ServiceProfileMBean sp)` Internal Use Only - Register the specfic collaboration agreement.
`void` | `updateAll(String description, String notes, String businessProtocol, String type)` Updates the service.

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### WEBSERVICE

    public static final String WEBSERVICE

See Also:
  Constant Field Values

### SERVICECONTROL

    public static final String SERVICECONTROL

See Also:
  Constant Field Values

### PROCESS

    public static final String PROCESS

See Also:
  Constant Field Values

Method Detail

### getServiceName

    public String getServiceName()

  Returns the name of this Service.

  Returns:
    Name of the Service.

### setServiceName

    public void setServiceName(String newValue)
                        throws javax.management.InvalidAttributeValueException

  Registers the name of this Service. The name must be unique. The name can be max of 254 characters and cannot be null. The name must not have any blank spaces.

  Parameters:
    `newValue` - - the name of the set
  Throws:
    `javax.management.InvalidAttributeValueException` - - If the name cannot be set or the name has invalid characters.

### getDescription

    public String getDescription()

  Retrieves the short textual description of this entity.

  Returns:
    - description text or null if not specified

### setDescription

    public void setDescription(String newValue)
                        throws javax.management.InvalidAttributeValueException

  Specifies the description for this service

  Parameters:
    `newValue` - - description text, can be null
  Throws:
    `javax.management.InvalidAttributeValueException`

### getNotes

    public String getNotes()

  Retrieves the additional description to of this entity.

  Specified by:
    `getNotes` in interface `weblogic.management.configuration.ConfigurationMBean`
  Returns:
    - text or null if not specified

### setNotes

    public void setNotes(String newValue)
                  throws javax.management.InvalidAttributeValueException

  Registers the additional textual documentation

  Specified by:
    `setNotes` in interface `weblogic.management.configuration.ConfigurationMBean`
  Parameters:
    `newValue` - - the text to specify
  Throws:
    `javax.management.InvalidAttributeValueException`

### getServiceType

    public String getServiceType()

  Specifies what kind of service this represents. Following are the possible types

  - WEBSERVICE - If the service respresents a web service or JWS file
  - PROCESS - If the service is workflow or JPD
  - SERVICECONTROL - service offered by WLI domain, to invoke remote service

### setServiceType

    public void setServiceType(String newValue)
                        throws javax.management.InvalidAttributeValueException

  Registers the type of service to invoke, whether offered by local trading partner, in that case it would be a service control or offered by a remote trading partner, in that case could be a workflow or a web service.

  Parameters:
    `newValue` - - type of service to invoke
  Throws:
    `javax.management.InvalidAttributeValueException`

### getBusinessProtocol

    public String getBusinessProtocol()

  Specifies the business protocol used for this service. Following are the possible types

  - WEBSERVICE
  - EBXML
  - ROSETTANET

### setBusinessProtocol

    public void setBusinessProtocol(String newValue)
                             throws javax.management.InvalidAttributeValueException

  Registers the business protocol to be used by this service. Business protocol must be one of the following

  - WEBSERVICE
  - EBXML
  - ROSETTANET

  Parameters:
    `newValue` - - new value for attribute BusinessProtocol
  Throws:
    `javax.management.InvalidAttributeValueException`

### addRosettaNetServiceDefaults

    public void addRosettaNetServiceDefaults(String serviceContentSchema,
                                             boolean useDtdValidation,
                                             boolean validateServiceContent,
                                             boolean validateServiceHeader)
                                      throws ConfigurationException,
                                             javax.management.InstanceAlreadyExistsException

  Add rosettanet service defaults for a rosettanet service only .

  Parameters:
    `serviceContentSchema` - - service contents schemas
    `useDtdValidation` - - true if dtd's are used for validation
    `validateServiceContent` - - true if validate service content
    `validateServiceHeader` - - true if validate service header
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`

### removeRosettaNetServiceDefaults

    public void removeRosettaNetServiceDefaults()
                                         throws DeleteException

  Remove RosettaNet Service Defaults

  Throws:
    `DeleteException`

### retrieveRosettaNetServiceDefaults

    public RosettaNetServiceDefaultMBean retrieveRosettaNetServiceDefaults()
                                                                    throws ManagementException

  Retrieves the RosettaNet Service Defaults.

  Throws:
    `ManagementException`

### addReferenceToRosettaNetServiceDefault

    public void addReferenceToRosettaNetServiceDefault(RosettaNetServiceDefaultMBean mbean)
                                                throws ConfigurationException,
                                                       javax.management.InstanceAlreadyExistsException

  Internal Use Only - Adds reference to RosettaNet Service Binding

  Parameters:
    `mbean` - - RN Service Defaults MBean
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`

### retrieveTradingPartnerMgmt

    public TradingPartnerMgmtMBean retrieveTradingPartnerMgmt()
                                                       throws ManagementException

  Retrieves the TPM Interface.

  Throws:
    `ManagementException`

### addServiceProfile

    public void addServiceProfile(String remoteTP,
                                  String remoteBinding,
                                  String localTP,
                                  String localBinding,
                                  String status,
                                  String messageTrackingLevel,
                                  String serviceProfileId)
                           throws ConfigurationException,
                                  javax.management.InstanceAlreadyExistsException

  Registers a new service profile, for this service

  Parameters:
    `remoteTP` - - name of the remote trading partner
    `remoteBinding` - - name of the binding of the remote trading partner to use
    `localTP` - - name of the local trading partner
    `localBinding` - - name of the binding of the local trading partner to use
    `status` - - Status of the profile. Status can be either

    - ENABLED
    - DISABLED

    `messageTrackingLevel` - - Setting for message tracking level for this service profile. Message tracking level can be

    - DEFAULT - Global message tracking level is used.
    - NONE - No message tracking is required
    - METADATA - Only track metadata for the message
    - ALL - Track all metadata, all message payloads
    If message tracking level set, will override the global message tracking level as specified in TradingPartnerMgmtMBean
    `serviceProfileId` - ID of service Profile, CPA id for ebXML, optional
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`
  See Also:
    `TradingPartnerMgmtMBean`

### addServiceProfile

    public void addServiceProfile(String remoteTP,
                                  String remoteBinding,
                                  String localTP,
                                  String localBinding,
                                  String status,
                                  String messageTrackingLevel)
                           throws ConfigurationException,
                                  javax.management.InstanceAlreadyExistsException

  Registers a new service profile, for this service

  Parameters:
    `remoteTP` - - name of the remote trading partner
    `remoteBinding` - - name of the binding of the remote trading partner to use
    `localTP` - - name of the local trading partner
    `localBinding` - - name of the binding of the local trading partner to use
    `status` - - Status of the profile. Status can be either

    - ENABLED
    - DISABLED

    `messageTrackingLevel` - - Setting for message tracking level for this service profile. Message tracking level can be

    - DEFAULT - Global message tracking level is used.
    - NONE - No message tracking is required
    - METADATA - Only track metadata for the message
    - ALL - Track all metadata, all message payloads
    If message tracking level set, will override the global message tracking level as specified in TradingPartnerMgmtMBean
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`
  See Also:
    `TradingPartnerMgmtMBean`

### removeServiceProfile

    public void removeServiceProfile(String localTP,
                                     String remoteTP)
                              throws DeleteException,
                                     javax.management.InstanceNotFoundException

  Removes the service profile for this service. A combination of service name, remote trading partner name and local trading partner uniquely identifies a service profile.

  Parameters:
    `localTP` - - name of the local trading partner
    `remoteTP` - - name of the remote trading partner
  Throws:
    `DeleteException`
    `javax.management.InstanceNotFoundException`

### removeAllServiceProfiles

    public void removeAllServiceProfiles()
                                  throws DeleteException

  Removes all service profiles for the service

  Throws:
    `DeleteException`

### removeReferenceForServiceProfile

    public void removeReferenceForServiceProfile(ServiceProfileMBean mbean)
                                          throws DeleteException,
                                                 javax.management.InstanceNotFoundException

  Internal Use Only - Removes the service profile

  Parameters:
    `mbean` - - Service profile MBean
  Throws:
    `DeleteException`
    `javax.management.InstanceNotFoundException`

### retrieveAllServiceProfiles

    public ArrayList retrieveAllServiceProfiles()
                                         throws ManagementException

  Returns an collection of all the service profiles defined in this service. Each element of the collection is of ServiceProfileMBean type.

  Throws:
    `ManagementException`
  See Also:
    `ServiceProfileMBean`

### retrieveServiceProfile

    public ServiceProfileMBean retrieveServiceProfile(String remoteTP,
                                                      String localTP)
                                               throws ManagementException,
                                                      javax.management.InstanceNotFoundException

  Retrieves a unique service profile for this service. A combination of service name, remote trading partner name and local trading partner uniquely identifies a service profile.

  Parameters:
    `remoteTP` - - name of the remote trading partner
    `localTP` - - name of the local trading partner
  Throws:
    `ManagementException`
    `javax.management.InstanceNotFoundException`

### addReferenceToServiceProfile

    public void addReferenceToServiceProfile(ServiceProfileMBean mbean)
                                      throws ConfigurationException,
                                             javax.management.InstanceAlreadyExistsException

  Internal Use Only - Adds a new service profile to this service.

  Parameters:
    `mbean` - - Service profile MBean
  Throws:
    `ConfigurationException`
    `javax.management.InstanceAlreadyExistsException`

### retrieveSPUsingBinding

    public ArrayList retrieveSPUsingBinding(String bindingName)
                                     throws ManagementException

  Internal Use Only - Gets the MBean of a service profile by binding name.

  Parameters:
    `bindingName` - - Name of the binding
  Throws:
    `ManagementException`

### retrieveSPForTradingPartner

    public ArrayList retrieveSPForTradingPartner(String tpName)
                                          throws ManagementException

  Internal Use Only - Gets the MBeans by trading partner name.

  Parameters:
    `tpName` - - Trading Partner Name
  Throws:
    `ManagementException`

### retrieveSPForTPBinding

    public ArrayList retrieveSPForTPBinding(String tpName,
                                            String bindingName)
                                     throws ManagementException

  Internal Use Only - Gets the MBeans by trading partner name.

  Parameters:
    `tpName` - - Trading Partner Name
    `bindingName` - - Name of the binding
  Throws:
    `ManagementException`

### retrieveServiceProfilesWithTradingPartner

    public ArrayList retrieveServiceProfilesWithTradingPartner(String tpName,
                                                               String withTp)
                                                        throws ManagementException

  Internal Use Only - Gets the MBeans by trading partner name.

  Parameters:
    `tpName` - - Trading Partner Name
    `withTp` - - Trading Partner Name
  Throws:
    `ManagementException`

### registerServiceProfile

    public void registerServiceProfile(ServiceProfileMBean sp)
                                throws ManagementException

  Internal Use Only - Register the profiles.

  Parameters:
    `sp` - - Service profile mbean
  Throws:
    `ManagementException`

### unregisterAllServiceProfiles

    public void unregisterAllServiceProfiles()
                                      throws ManagementException

  Internal Use Only - Unregister all service profiles for this service.

  Throws:
    `ManagementException`

### registerAllServiceProfiles

    public void registerAllServiceProfiles()
                                    throws ManagementException

  Internal Use Only - Registers all service profiles for this service.

  Throws:
    `ManagementException`

### unregisterServiceProfile

    public void unregisterServiceProfile(ServiceProfileMBean sp)
                                  throws ManagementException

  Internal Use Only - Register the specfic collaboration agreement.

  Parameters:
    `sp` - - Service profile mbean
  Throws:
    `ManagementException`

### updateAll

    public void updateAll(String description,
                          String notes,
                          String businessProtocol,
                          String type)
                   throws javax.management.InvalidAttributeValueException,
                          UpdateException,
                          ObjectActiveException

  Updates the service.

  Parameters:
    `description` - - short textual description
    `notes` - - additional textual description
    `businessProtocol` - - the business protocol used for this service. Following are the possible types

    - WEBSERVICE
    - EBXML
    - ROSETTANET
    `type` - - type of the service options Following are the possible types

    - WEBSERVICE - If the service respresents a web service or JWS file
    - PROCESS - If the service is workflow or JPD
    - SERVICECONTROL - service offered by WLI domain, to invoke remote service
  Throws:
    `javax.management.InvalidAttributeValueException`
    `UpdateException`
    `ObjectActiveException`
  See Also:
    `ServiceMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD